Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 87731 - /etc/mail/Makefile should be considered a configuration file
Summary: /etc/mail/Makefile should be considered a configuration file
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: sendmail
Version: 9
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Florian La Roche
QA Contact: David Lawrence
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-04-01 20:26 UTC by H. Peter Anvin
Modified: 2007-04-18 16:52 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2003-04-04 18:31:09 UTC


Attachments (Terms of Use)

Description H. Peter Anvin 2003-04-01 20:26:30 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.3b) Gecko/20030211

Description of problem:
/etc/mail/Makefile frequently contains site-specific rules.  Current sendmail
RPMs will replace /etc/mail/Makefile on updates, and put the old one in
Makefile.rpmsave.  This means the administrator has to manually correct the
configuration after each update.

Instead, /etc/mail/Makefile should be marked as a configuration file, so that a
modified file isn't replaced automatically, but the new default is installed as
Makefile.rpmnew.


Version-Release number of selected component (if applicable):
sendmail-8.12.8-5

How reproducible:
Always

Steps to Reproduce:
1. Have customized /etc/mail/Makefile
2. Upgrade sendmail via RPM
3. Examine Makefile
    

Actual Results:  Makefile replaced; old Makefile in Makefile.rpmsave

Expected Results:  Makefile intact; new Makefile in Makefile.rpmnew

Additional info:

Thanks for dealing with the associated problem described in bug 86005.

Comment 1 Florian La Roche 2003-04-04 18:31:09 UTC
I have changed this to config(noreplace).

greetings,

Florian La Roche


Comment 2 H. Peter Anvin 2003-04-05 21:19:15 UTC
Thanks!!


Note You need to log in before you can comment on or make changes to this bug.